Class Http

java.lang.Object
io.helidon.http.Http

public final class Http extends Object
HTTP endpoint annotations.

In previous versions of Helidon, this class contained the following types:

  • Nested Class Summary

    Nested Classes
    Modifier and Type
    Class
    Description
    static @interface 
    What media type(s) this method can consume.
    static @interface 
    DELETE method of an HTTP endpoint.
    static @interface 
    Inject entity into a method parameter.
    static @interface 
    GET method of an HTTP endpoint.
    static @interface 
    HEAD method of an HTTP endpoint.
    static interface 
    Header producer, to use with rest client and rest server annotations.
    static @interface 
    Inject header into a method parameter.
    static @interface 
    HTTP Method.
    static @interface 
    OPTIONS method of an HTTP endpoint.
    static @interface 
    PATCH method of an HTTP endpoint.
    static @interface 
    Path of an endpoint, or sub-path of a method.
    static @interface 
    Inject path parameter into a method parameter.
    static @interface 
    POST method of an HTTP endpoint.
    static @interface 
    What media type(s) this method produces.
    static @interface 
    PUT method of an HTTP endpoint.
    static @interface 
    Inject query parameter into a method parameter.
  • Method Summary

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait